package com.kakao.sdk.common

import com.kakao.sdk.common.model.ContextInfo
import okhttp3.Interceptor
import okhttp3.Response

/**
 * @author kevin.kang. Created on 2018. 3. 22..
 */
class KakaoAgentInterceptor(val contextInfo: ContextInfo = KakaoSdk.applicationContextInfo) :
    Interceptor {
    override fun intercept(chain: Interceptor.Chain): Response {
        var request = chain.request()

        val header = contextInfo.kaHeader
        request = request.newBuilder()
            .addHeader(Constants.KA, header)
            .build()
        return chain.proceed(request)
    }
}